

' VBA7 64bit declare statements for NAG Fortran Library DLL Mark 29.0
' Copyright 2023, Numerical Algorithms Group Ltd, Oxford, UK.
' chapter c02

   Declare Ptrsafe Sub C02AAF Lib "NLW6I29DE_nag.dll" Alias "C02AAF" ( _
    ByRef a As Complex, _
    ByRef n As long, _
    ByRef itmax As long, _
    ByRef polish As long, _
    ByRef z As Complex, _
    ByRef berr As double, _
    ByRef cond As double, _
    ByRef conv As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02ABF Lib "NLW6I29DE_nag.dll" Alias "C02ABF" ( _
    ByRef a As double, _
    ByRef n As long, _
    ByRef itmax As long, _
    ByRef polish As long, _
    ByRef z As Complex, _
    ByRef berr As double, _
    ByRef cond As double, _
    ByRef conv As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02AFF Lib "NLW6I29DE_nag.dll" Alias "C02AFF" ( _
    ByRef a As double, _
    ByRef n As long, _
    ByRef scal As long, _
    ByRef z As double, _
    ByRef w As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02AGF Lib "NLW6I29DE_nag.dll" Alias "C02AGF" ( _
    ByRef a As double, _
    ByRef n As long, _
    ByRef scal As long, _
    ByRef z As double, _
    ByRef w As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02AHF Lib "NLW6I29DE_nag.dll" Alias "C02AHF" ( _
    ByRef ar As double, _
    ByRef ai As double, _
    ByRef br As double, _
    ByRef bi As double, _
    ByRef cr As double, _
    ByRef ci As double, _
    ByRef zsm As double, _
    ByRef zlg As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02AJF Lib "NLW6I29DE_nag.dll" Alias "C02AJF" ( _
    ByRef a As double, _
    ByRef b As double, _
    ByRef c As double, _
    ByRef zsm As double, _
    ByRef zlg As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02AKF Lib "NLW6I29DE_nag.dll" Alias "C02AKF" ( _
    ByRef u As double, _
    ByRef r As double, _
    ByRef s As double, _
    ByRef t As double, _
    ByRef zeror As double, _
    ByRef zeroi As double, _
    ByRef errest As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02ALF Lib "NLW6I29DE_nag.dll" Alias "C02ALF" ( _
    ByRef e As double, _
    ByRef a As double, _
    ByRef b As double, _
    ByRef c As double, _
    ByRef d As double, _
    ByRef zeror As double, _
    ByRef zeroi As double, _
    ByRef errest As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02AMF Lib "NLW6I29DE_nag.dll" Alias "C02AMF" ( _
    ByRef u As Complex, _
    ByRef r As Complex, _
    ByRef s As Complex, _
    ByRef t As Complex, _
    ByRef zeror As double, _
    ByRef zeroi As double, _
    ByRef errest As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C02ANF Lib "NLW6I29DE_nag.dll" Alias "C02ANF" ( _
    ByRef e As Complex, _
    ByRef a As Complex, _
    ByRef b As Complex, _
    ByRef c As Complex, _
    ByRef d As Complex, _
    ByRef zeror As double, _
    ByRef zeroi As double, _
    ByRef errest As double, _
    ByRef ifail As long _
   )


' chapter c05

' skeleton code for callback function
'  Function C05AUF_F( _
'      ByRef x As double, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr _
'    ) As double
'      ' your code here
'  End Function

   Declare Ptrsafe Sub C05AUF Lib "NLW6I29DE_nag.dll" Alias "C05AUF" ( _
    ByRef x As double, _
    ByRef h As double, _
    ByRef eps As double, _
    ByRef eta As double, _
    ByVal f As longPtr, _
    ByRef a As double, _
    ByRef b As double, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C05AVF Lib "NLW6I29DE_nag.dll" Alias "C05AVF" ( _
    ByRef x As double, _
    ByRef fx As double, _
    ByRef h As double, _
    ByRef boundl As double, _
    ByRef boundu As double, _
    ByRef y As double, _
    ByRef c As double, _
    ByRef ind As long, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Function C05AWF_F( _
'      ByRef x As double, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr _
'    ) As double
'      ' your code here
'  End Function

   Declare Ptrsafe Sub C05AWF Lib "NLW6I29DE_nag.dll" Alias "C05AWF" ( _
    ByRef x As double, _
    ByRef eps As double, _
    ByRef eta As double, _
    ByVal f As longPtr, _
    ByRef nfmax As long, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C05AXF Lib "NLW6I29DE_nag.dll" Alias "C05AXF" ( _
    ByRef x As double, _
    ByRef fx As double, _
    ByRef tol As double, _
    ByRef ir As long, _
    ByRef scal As double, _
    ByRef c As double, _
    ByRef ind As long, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Function C05AYF_F( _
'      ByRef x As double, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr _
'    ) As double
'      ' your code here
'  End Function

   Declare Ptrsafe Sub C05AYF Lib "NLW6I29DE_nag.dll" Alias "C05AYF" ( _
    ByRef a As double, _
    ByRef b As double, _
    ByRef eps As double, _
    ByRef eta As double, _
    ByVal f As longPtr, _
    ByRef x As double, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C05AZF Lib "NLW6I29DE_nag.dll" Alias "C05AZF" ( _
    ByRef x As double, _
    ByRef y As double, _
    ByRef fx As double, _
    ByRef tolx As double, _
    ByRef ir As long, _
    ByRef c As double, _
    ByRef ind As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Function C05BAF Lib "NLW6I29DE_nag.dll" Alias "C05BAF" ( _
    ByRef x As double, _
    ByRef branch As long, _
    ByRef offset As long, _
    ByRef ifail As long _
   ) As double


   Declare Ptrsafe Sub C05BBF Lib "NLW6I29DE_nag.dll" Alias "C05BBF" ( _
    ByRef branch As long, _
    ByRef offset As long, _
    ByRef z As Complex, _
    ByRef w As Complex, _
    ByRef resid As double, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Sub C05MBF_FCN( _
'      ByRef n As long, _
'      ByVal x_rptr As longPtr, _
'      ByVal fvec_rptr As longPtr, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr, _
'      ByRef cpuser As longPtr, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub C05MBF Lib "NLW6I29DE_nag.dll" Alias "C05MBF" ( _
    ByVal fcn As longPtr, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef atol As double, _
    ByRef rtol As double, _
    ByRef m As long, _
    ByRef cndtol As double, _
    ByRef astart As long, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef cpuser As longPtr, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C05MDF Lib "NLW6I29DE_nag.dll" Alias "C05MDF" ( _
    ByRef irevcm As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef atol As double, _
    ByRef rtol As double, _
    ByRef m As long, _
    ByRef cndtol As double, _
    ByRef astart As long, _
    ByRef iwsav As long, _
    ByRef rwsav As double, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Sub C05QBF_FCN( _
'      ByRef n As long, _
'      ByVal x_rptr As longPtr, _
'      ByVal fvec_rptr As longPtr, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub C05QBF Lib "NLW6I29DE_nag.dll" Alias "C05QBF" ( _
    ByVal fcn As longPtr, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef xtol As double, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Sub C05QCF_FCN( _
'      ByRef n As long, _
'      ByVal x_rptr As longPtr, _
'      ByVal fvec_rptr As longPtr, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub C05QCF Lib "NLW6I29DE_nag.dll" Alias "C05QCF" ( _
    ByVal fcn As longPtr, _
    ByRef n As long, ByRef x As double, _
    ByRef fvec As double, ByRef xtol As double, ByRef maxfev As long, _
    ByRef ml As long, ByRef mu As long, ByRef epsfcn As double, _
    ByRef mode As long, ByRef diag As double, ByRef factor As double, _
    ByRef nprint As long, ByRef nfev As long, ByRef fjac As double, _
    ByRef r As double, ByRef qtf As double, ByRef iuser As long, _
    ByRef ruser As double, ByRef ifail As long _
   )


   Declare Ptrsafe Sub C05QDF Lib "NLW6I29DE_nag.dll" Alias "C05QDF" ( _
    ByRef irevcm As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef xtol As double, _
    ByRef ml As long, _
    ByRef mu As long, _
    ByRef epsfcn As double, _
    ByRef mode As long, _
    ByRef diag As double, _
    ByRef factor As double, _
    ByRef fjac As double, _
    ByRef r As double, _
    ByRef qtf As double, _
    ByRef iwsav As long, _
    ByRef rwsav As double, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Sub C05QSF_FCN( _
'      ByRef n As long, _
'      ByRef lindf As long, _
'      ByVal indf_iptr As longPtr, _
'      ByVal x_rptr As longPtr, _
'      ByVal fvec_rptr As longPtr, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub C05QSF Lib "NLW6I29DE_nag.dll" Alias "C05QSF" ( _
    ByVal fcn As longPtr, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef xtol As double, _
    ByRef init As long, _
    ByRef rcomm As double, _
    ByRef lrcomm As long, _
    ByRef icomm As long, _
    ByRef licomm As long, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Sub C05RBF_FCN( _
'      ByRef n As long, _
'      ByVal x_rptr As longPtr, _
'      ByVal fvec_rptr As longPtr, _
'      ByVal fjac_rptr As longPtr, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub C05RBF Lib "NLW6I29DE_nag.dll" Alias "C05RBF" ( _
    ByVal fcn As longPtr, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef fjac As double, _
    ByRef xtol As double, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Sub C05RCF_FCN( _
'      ByRef n As long, _
'      ByVal x_rptr As longPtr, _
'      ByVal fvec_rptr As longPtr, _
'      ByVal fjac_rptr As longPtr, _
'      ByVal iuser_iptr As longPtr, _
'      ByVal ruser_rptr As longPtr, _
'      ByRef iflag As long _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub C05RCF Lib "NLW6I29DE_nag.dll" Alias "C05RCF" ( _
    ByVal fcn As longPtr, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef fjac As double, _
    ByRef xtol As double, _
    ByRef maxfev As long, _
    ByRef mode As long, _
    ByRef diag As double, _
    ByRef factor As double, _
    ByRef nprint As long, _
    ByRef nfev As long, _
    ByRef njev As long, _
    ByRef r As double, _
    ByRef qtf As double, _
    ByRef iuser As long, _
    ByRef ruser As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C05RDF Lib "NLW6I29DE_nag.dll" Alias "C05RDF" ( _
    ByRef irevcm As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef fjac As double, _
    ByRef xtol As double, _
    ByRef mode As long, _
    ByRef diag As double, _
    ByRef factor As double, _
    ByRef r As double, _
    ByRef qtf As double, _
    ByRef iwsav As long, _
    ByRef rwsav As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C05ZDF Lib "NLW6I29DE_nag.dll" Alias "C05ZDF" ( _
    ByRef mode As long, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef fvec As double, _
    ByRef fjac As double, _
    ByRef xp As double, _
    ByRef fvecp As double, _
    ByRef err As double, _
    ByRef ifail As long _
   )


' chapter c06

   Declare Ptrsafe Sub C06BAF Lib "NLW6I29DE_nag.dll" Alias "C06BAF" ( _
    ByRef seqn As double, _
    ByRef ncall As long, _
    ByRef result As double, _
    ByRef abserr As double, _
    ByRef work As double, _
    ByRef lwork As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06DCF Lib "NLW6I29DE_nag.dll" Alias "C06DCF" ( _
    ByRef x As double, _
    ByRef lx As long, _
    ByRef xmin As double, _
    ByRef xmax As double, _
    ByRef c As double, _
    ByRef n As long, _
    ByRef s As long, _
    ByRef res As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06FAF Lib "NLW6I29DE_nag.dll" Alias "C06FAF" ( _
    ByRef x As double, _
    ByRef n As long, _
    ByRef work As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06FBF Lib "NLW6I29DE_nag.dll" Alias "C06FBF" ( _
    ByRef x As double, _
    ByRef n As long, _
    ByRef work As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06FCF Lib "NLW6I29DE_nag.dll" Alias "C06FCF" ( _
    ByRef x As double, _
    ByRef y As double, _
    ByRef n As long, _
    ByRef work As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06FFF Lib "NLW6I29DE_nag.dll" Alias "C06FFF" ( _
    ByRef ndim As long, _
    ByRef l As long, _
    ByRef nd As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef y As double, _
    ByRef work As double, _
    ByRef lwork As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06FJF Lib "NLW6I29DE_nag.dll" Alias "C06FJF" ( _
    ByRef ndim As long, _
    ByRef nd As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef y As double, _
    ByRef work As double, _
    ByRef lwork As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06FKF Lib "NLW6I29DE_nag.dll" Alias "C06FKF" ( _
    ByRef job As long, _
    ByRef x As double, _
    ByRef y As double, _
    ByRef n As long, _
    ByRef work As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06FPF Lib "NLW6I29DE_nag.dll" Alias "C06FPF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByVal init As string, _
    ByRef trig As double, _
    ByRef work As double, _
    ByRef ifail As long, _
    ByVal INITLength As LongLong _
    )


   Declare Ptrsafe Sub C06FQF Lib "NLW6I29DE_nag.dll" Alias "C06FQF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByVal init As string, _
    ByRef trig As double, _
    ByRef work As double, _
    ByRef ifail As long, _
    ByVal INITLength As LongLong _
    )


   Declare Ptrsafe Sub C06FXF Lib "NLW6I29DE_nag.dll" Alias "C06FXF" ( _
    ByRef n1 As long, _
    ByRef n2 As long, _
    ByRef n3 As long, _
    ByRef x As double, _
    ByRef y As double, _
    ByVal init As string, _
    ByRef trign1 As double, _
    ByRef trign2 As double, _
    ByRef trign3 As double, _
    ByRef work As double, _
    ByRef ifail As long, _
    ByVal INITLength As LongLong _
    )


' skeleton code for callback function
'  Sub C06LAF_F( _
'      ByRef pr As double, _
'      ByRef pi As double, _
'      ByRef fr As double, _
'      ByRef fi As double _
'    )
'      ' your code here
'  End Sub

   Declare Ptrsafe Sub C06LAF Lib "NLW6I29DE_nag.dll" Alias "C06LAF" ( _
    ByVal f As longPtr, _
    ByRef n As long, _
    ByRef t As double, _
    ByRef valinv As double, _
    ByRef errest As double, _
    ByRef relerr As double, _
    ByRef alphab As double, _
    ByRef tfac As double, _
    ByRef mxterm As long, _
    ByRef nterms As long, _
    ByRef na As long, _
    ByRef alow As double, _
    ByRef ahigh As double, _
    ByRef nfeval As long, _
    ByRef work As double, _
    ByRef ifail As long _
   )


' skeleton code for callback function
'  Function C06LBF_F( _
'      ByRef s As Complex _
'    ) as Complex
'      ' your code here
'  End Function

   Declare Ptrsafe Sub C06LBF Lib "NLW6I29DE_nag.dll" Alias "C06LBF" ( _
    ByVal f As longPtr, _
    ByRef sigma0 As double, _
    ByRef sigma As double, _
    ByRef b As double, _
    ByRef epstol As double, _
    ByRef mmax As long, _
    ByRef m As long, _
    ByRef acoef As double, _
    ByRef errvec As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06LCF Lib "NLW6I29DE_nag.dll" Alias "C06LCF" ( _
    ByRef t As double, _
    ByRef sigma As double, _
    ByRef b As double, _
    ByRef m As long, _
    ByRef acoef As double, _
    ByRef errvec As double, _
    ByRef finv As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06PAF Lib "NLW6I29DE_nag.dll" Alias "C06PAF" ( _
    ByVal direct As string, _
    ByRef x As double, _
    ByRef n As long, _
    ByRef work As double, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PCF Lib "NLW6I29DE_nag.dll" Alias "C06PCF" ( _
    ByVal direct As string, _
    ByRef x As Complex, _
    ByRef n As long, _
    ByRef work As Complex, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PFF Lib "NLW6I29DE_nag.dll" Alias "C06PFF" ( _
    ByVal direct As string, _
    ByRef ndim As long, _
    ByRef l As long, _
    ByRef nd As long, _
    ByRef n As long, _
    ByRef x As Complex, _
    ByRef work As Complex, _
    ByRef lwork As long, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PJF Lib "NLW6I29DE_nag.dll" Alias "C06PJF" ( _
    ByVal direct As string, _
    ByRef ndim As long, _
    ByRef nd As long, _
    ByRef n As long, _
    ByRef x As Complex, _
    ByRef work As Complex, _
    ByRef lwork As long, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PKF Lib "NLW6I29DE_nag.dll" Alias "C06PKF" ( _
    ByRef job As long, _
    ByRef x As Complex, _
    ByRef y As Complex, _
    ByRef n As long, _
    ByRef work As Complex, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06PPF Lib "NLW6I29DE_nag.dll" Alias "C06PPF" ( _
    ByVal direct As string, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef work As double, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PQF Lib "NLW6I29DE_nag.dll" Alias "C06PQF" ( _
    ByVal direct As string, _
    ByRef n As long, _
    ByRef m As long, _
    ByRef x As double, _
    ByRef work As double, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PRF Lib "NLW6I29DE_nag.dll" Alias "C06PRF" ( _
    ByVal direct As string, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As Complex, _
    ByRef work As Complex, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PSF Lib "NLW6I29DE_nag.dll" Alias "C06PSF" ( _
    ByVal direct As string, _
    ByRef n As long, _
    ByRef m As long, _
    ByRef x As Complex, _
    ByRef work As Complex, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PUF Lib "NLW6I29DE_nag.dll" Alias "C06PUF" ( _
    ByVal direct As string, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As Complex, _
    ByRef work As Complex, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PVF Lib "NLW6I29DE_nag.dll" Alias "C06PVF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef y As Complex, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06PWF Lib "NLW6I29DE_nag.dll" Alias "C06PWF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef y As Complex, _
    ByRef x As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06PXF Lib "NLW6I29DE_nag.dll" Alias "C06PXF" ( _
    ByVal direct As string, _
    ByRef n1 As long, _
    ByRef n2 As long, _
    ByRef n3 As long, _
    ByRef x As Complex, _
    ByRef work As Complex, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06PYF Lib "NLW6I29DE_nag.dll" Alias "C06PYF" ( _
    ByRef n1 As long, _
    ByRef n2 As long, _
    ByRef n3 As long, _
    ByRef x As double, _
    ByRef y As Complex, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06PZF Lib "NLW6I29DE_nag.dll" Alias "C06PZF" ( _
    ByRef n1 As long, _
    ByRef n2 As long, _
    ByRef n3 As long, _
    ByRef y As Complex, _
    ByRef x As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06RAF Lib "NLW6I29DE_nag.dll" Alias "C06RAF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef work As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06RBF Lib "NLW6I29DE_nag.dll" Alias "C06RBF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef work As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06RCF Lib "NLW6I29DE_nag.dll" Alias "C06RCF" ( _
    ByVal direct As string, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef work As double, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06RDF Lib "NLW6I29DE_nag.dll" Alias "C06RDF" ( _
    ByVal direct As string, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef work As double, _
    ByRef ifail As long, _
    ByVal DIRECTLength As LongLong _
    )


   Declare Ptrsafe Sub C06REF Lib "NLW6I29DE_nag.dll" Alias "C06REF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06RFF Lib "NLW6I29DE_nag.dll" Alias "C06RFF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06RGF Lib "NLW6I29DE_nag.dll" Alias "C06RGF" ( _
    ByRef idir As long, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06RHF Lib "NLW6I29DE_nag.dll" Alias "C06RHF" ( _
    ByRef idir As long, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C06SAF Lib "NLW6I29DE_nag.dll" Alias "C06SAF" ( _
    ByRef d As long, _
    ByRef srcs As double, _
    ByRef n As long, _
    ByRef trgs As double, _
    ByRef m As long, _
    ByRef q As double, _
    ByRef p1 As long, _
    ByRef p2 As long, _
    ByRef k As long, _
    ByRef hin As double, _
    ByRef lhin As long, _
    ByRef tol As double, _
    ByRef v As double, _
    ByRef term As double, _
    ByRef ifail As long _
   )


' chapter c09

   Declare Ptrsafe Sub C09AAF Lib "NLW6I29DE_nag.dll" Alias "C09AAF" ( _
    ByVal wavnam As string, _
    ByVal wtrans As string, _
    ByVal mode As string, _
    ByRef n As long, _
    ByRef nwlmax As long, _
    ByRef nf As long, _
    ByRef nwc As long, _
    ByRef icomm As long, _
    ByRef ifail As long, _
    ByVal WAVNAMLength As LongLong, ByVal WTRANSLength As LongLong, ByVal MODELength As LongLong _
    )


   Declare Ptrsafe Sub C09ABF Lib "NLW6I29DE_nag.dll" Alias "C09ABF" ( _
    ByVal wavnam As string, _
    ByVal wtrans As string, _
    ByVal mode As string, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef nwlmax As long, _
    ByRef nf As long, _
    ByRef nwct As long, _
    ByRef nwcn As long, _
    ByRef icomm As long, _
    ByRef ifail As long, _
    ByVal WAVNAMLength As LongLong, ByVal WTRANSLength As LongLong, ByVal MODELength As LongLong _
    )


   Declare Ptrsafe Sub C09ACF Lib "NLW6I29DE_nag.dll" Alias "C09ACF" ( _
    ByVal wavnam As string, _
    ByVal wtrans As string, _
    ByVal mode As string, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef fr As long, _
    ByRef nwlmax As long, _
    ByRef nf As long, _
    ByRef nwct As long, _
    ByRef nwcn As long, _
    ByRef nwcfr As long, _
    ByRef icomm As long, _
    ByRef ifail As long, _
    ByVal WAVNAMLength As LongLong, ByVal WTRANSLength As LongLong, ByVal MODELength As LongLong _
    )


   Declare Ptrsafe Sub C09BAF Lib "NLW6I29DE_nag.dll" Alias "C09BAF" ( _
    ByVal wavnam As string, _
    ByRef wparam As long, _
    ByRef n As long, _
    ByRef x As double, _
    ByRef nscal As long, _
    ByRef scales As long, _
    ByRef c As double, _
    ByRef ifail As long, _
    ByVal WAVNAMLength As LongLong _
    )


   Declare Ptrsafe Sub C09CAF Lib "NLW6I29DE_nag.dll" Alias "C09CAF" ( _
    ByRef n As long, _
    ByRef x As double, _
    ByRef lenc As long, _
    ByRef ca As double, _
    ByRef cd As double, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09CBF Lib "NLW6I29DE_nag.dll" Alias "C09CBF" ( _
    ByRef lenc As long, _
    ByRef ca As double, _
    ByRef cd As double, _
    ByRef n As long, _
    ByRef y As double, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09CCF Lib "NLW6I29DE_nag.dll" Alias "C09CCF" ( _
    ByRef n As long, _
    ByRef x As double, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef nwl As long, _
    ByRef dwtlev As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09CDF Lib "NLW6I29DE_nag.dll" Alias "C09CDF" ( _
    ByRef nwlinv As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef n As long, _
    ByRef y As double, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09DAF Lib "NLW6I29DE_nag.dll" Alias "C09DAF" ( _
    ByRef n As long, _
    ByRef x As double, _
    ByRef lenc As long, _
    ByRef ca As double, _
    ByRef cd As double, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09DBF Lib "NLW6I29DE_nag.dll" Alias "C09DBF" ( _
    ByRef lenc As long, _
    ByRef ca As double, _
    ByRef cd As double, _
    ByRef n As long, _
    ByRef y As double, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09DCF Lib "NLW6I29DE_nag.dll" Alias "C09DCF" ( _
    ByRef n As long, _
    ByRef x As double, _
    ByVal keepa As string, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef nwl As long, _
    ByRef na As long, _
    ByRef icomm As long, _
    ByRef ifail As long, _
    ByVal KEEPALength As LongLong _
    )


   Declare Ptrsafe Sub C09DDF Lib "NLW6I29DE_nag.dll" Alias "C09DDF" ( _
    ByRef nwlinv As long, _
    ByVal keepa As string, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef n As long, _
    ByRef y As double, _
    ByRef icomm As long, _
    ByRef ifail As long, _
    ByVal KEEPALength As LongLong _
    )


   Declare Ptrsafe Sub C09EAF Lib "NLW6I29DE_nag.dll" Alias "C09EAF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef a As double, _
    ByRef lda As long, _
    ByRef ca As double, _
    ByRef ldca As long, _
    ByRef ch As double, _
    ByRef ldch As long, _
    ByRef cv As double, _
    ByRef ldcv As long, _
    ByRef cd As double, _
    ByRef ldcd As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09EBF Lib "NLW6I29DE_nag.dll" Alias "C09EBF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef ca As double, _
    ByRef ldca As long, _
    ByRef ch As double, _
    ByRef ldch As long, _
    ByRef cv As double, _
    ByRef ldcv As long, _
    ByRef cd As double, _
    ByRef ldcd As long, _
    ByRef b As double, _
    ByRef ldb As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09ECF Lib "NLW6I29DE_nag.dll" Alias "C09ECF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef a As double, _
    ByRef lda As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef nwl As long, _
    ByRef dwtlvm As long, _
    ByRef dwtlvn As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09EDF Lib "NLW6I29DE_nag.dll" Alias "C09EDF" ( _
    ByRef nwlinv As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef b As double, _
    ByRef ldb As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09EYF Lib "NLW6I29DE_nag.dll" Alias "C09EYF" ( _
    ByRef ilev As long, _
    ByRef cindex As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef d As double, _
    ByRef ldd As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09EZF Lib "NLW6I29DE_nag.dll" Alias "C09EZF" ( _
    ByRef ilev As long, _
    ByRef cindex As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef d As double, _
    ByRef ldd As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09FAF Lib "NLW6I29DE_nag.dll" Alias "C09FAF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef fr As long, _
    ByRef a As double, _
    ByRef lda As long, _
    ByRef sda As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09FBF Lib "NLW6I29DE_nag.dll" Alias "C09FBF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef fr As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef b As double, _
    ByRef ldb As long, _
    ByRef sdb As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09FCF Lib "NLW6I29DE_nag.dll" Alias "C09FCF" ( _
    ByRef m As long, _
    ByRef n As long, _
    ByRef fr As long, _
    ByRef a As double, _
    ByRef lda As long, _
    ByRef sda As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef nwl As long, _
    ByRef dwtlvm As long, _
    ByRef dwtlvn As long, _
    ByRef dwtlvfr As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09FDF Lib "NLW6I29DE_nag.dll" Alias "C09FDF" ( _
    ByRef nwlinv As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef m As long, _
    ByRef n As long, _
    ByRef fr As long, _
    ByRef b As double, _
    ByRef ldb As long, _
    ByRef sdb As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09FYF Lib "NLW6I29DE_nag.dll" Alias "C09FYF" ( _
    ByRef ilev As long, _
    ByRef cindex As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef d As double, _
    ByRef ldd As long, _
    ByRef sdd As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


   Declare Ptrsafe Sub C09FZF Lib "NLW6I29DE_nag.dll" Alias "C09FZF" ( _
    ByRef ilev As long, _
    ByRef cindex As long, _
    ByRef lenc As long, _
    ByRef c As double, _
    ByRef d As double, _
    ByRef ldd As long, _
    ByRef sdd As long, _
    ByRef icomm As long, _
    ByRef ifail As long _
   )


